Bug 335001 - printf fixes for i965_dump_error_state
printf fixes for i965_dump_error_state
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 14:20 EDT by Sami Farin
Modified: 2008-01-18 06:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 06:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printf fixes for i965_dump_error_state (1.66 KB, patch)
2007-10-16 14:20 EDT, Sami Farin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 14117 None None None Never

  None (edit)
Description Sami Farin 2007-10-16 14:20:36 EDT
Description of problem:
printf expects long (%lx), you give it uint32_t.

If you like to be pedantic, you can also use PRIx32 from <inttypes.h> .

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sami Farin 2007-10-16 14:20:36 EDT
Created attachment 229101 [details]
printf fixes for i965_dump_error_state
Comment 2 Jesse Barnes 2008-01-10 18:27:48 EST
This should just be filed upstream and closed here.  It'll just fix warnings 
in the code and doesn't affect end users.
Comment 3 Matěj Cepl 2008-01-14 08:23:36 EST
Jesse, has it been already closed upstream, or you have upstream bug number to
fill here?
Comment 4 Jesse Barnes 2008-01-17 21:31:45 EST
Not fixed yet, but I just filed an upstream bug:  
https://bugs.freedesktop.org/show_bug.cgi?id=14117.

Note You need to log in before you can comment on or make changes to this bug.